[Overview][Types][Classes][Index] | Reference for unit 'GroupedEdit' (#lcl)

# TCustomAbstractGroupedEdit.EditKeyDown

Signals the OnKeyDown event handler (when assigned).

## Declaration

Source position: groupededit.pp line 219

`protected procedure TCustomAbstractGroupedEdit.EditKeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); virtual;`

## Arguments

`Key` |  | Virtual key code for the key down event notification.
`Shift` |  | Ctrl, Alt, or Shift modifier for the key code in the key down event notification.

## Description

Called from the internal key down handler routine assigned to the BaseEditor for the grouped edit control.

## See also

TCustomAbstractGroupedEdit.BaseEditor |  | Represents the control used as the editor for the value in the grouped edit control.
TCustomAbstractGroupedEdit.OnKeyDown |  | Event handler signalled for key down keyboard events.